Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.testing
Class AbstractOWLModelTestAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction
              edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLModelTestAction

All Implemented Interfaces:
  edu.stanford.smi.protege.util.Disposable, IconOwner, OWLModelAction, ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  FindAssertionsAction, OWLTestAction, ShowTodoListAction

    public abstract class AbstractOWLModelTestAction

extends AbstractOWLTestAction
implements OWLModelAction

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction
`owlModel, testManager`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.actions.OWLModelAction
`ICON, NAME, PATH_SEPARATOR, SUITABILITY`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AbstractOWLModelTestAction()`

Method Summary
`void` | `dispose()`
`Class` | `getIconResourceClass()` Gets a Class that is in the same folder as the icon file.
`String` | `getMenubarPath()` Gets a path to the menu bar location of this action.
`String` | `getToolbarPath()` Gets the path to the tool bar location of this action.
`boolean` | `isSuitable(OWLModel owlModel)` Determines whether this action shall be used for the given OWLModel.
`void` | `notifyPropertyChangeListeners(String propertyName, Object oldValue, Object newValue)`
`void` | `run(OWLModel owlModel)` Called when the action is executed by the user.

Methods inherited from class edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction
`actionPerformed, getOWLTests, getTestResultsPanel, run, runOWLClsTest, runOWLInstanceTest, runOWLModelTest, runOWLPropertyTest, showAllTestsPassedMessage, showResults`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.actions.OWLModelAction
`addPropertyChangeListener, getName, removePropertyChangeListener`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.actions.IconOwner
`getIconFileName`

Constructor Detail

### AbstractOWLModelTestAction

    public AbstractOWLModelTestAction()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `edu.stanford.smi.protege.util.Disposable`

### getIconResourceClass

    public Class getIconResourceClass()

  Description copied from interface: `IconOwner`
  Gets a Class that is in the same folder as the icon file.

  Specified by:
    `getIconResourceClass` in interface `IconOwner`
  Returns:
    the icon resource Class

### getMenubarPath

    public String getMenubarPath()

  Description copied from interface: `OWLModelAction`
  Gets a path to the menu bar location of this action. This method determines where the menu item will show up, if at all. The path consists of a menu name with an optional group name. There must be a '/' character (`PATH_SEPARATOR`) between the menu and group name.

  Specified by:
    `getMenubarPath` in interface `OWLModelAction`
  Returns:
    the path for the menu or null if this shall not appear in the menu

### getToolbarPath

    public String getToolbarPath()

  Description copied from interface: `OWLModelAction`
  Gets the path to the tool bar location of this action. This is either null (to not show up in the tool bar), or a group name. Actions that shall be grouped together should get the same path.

  Specified by:
    `getToolbarPath` in interface `OWLModelAction`
  Returns:
    the path or null

### isSuitable

    public boolean isSuitable(OWLModel owlModel)

  Description copied from interface: `OWLModelAction`
  Determines whether this action shall be used for the given OWLModel. This allows programmers to veto the use of their action in OWLDatabaseModels or projects that don't import SWRL etc.

  Specified by:
    `isSuitable` in interface `OWLModelAction`
  Parameters:
    `owlModel` - the OWLModel to check against
  Returns:
    true if this is suitable for owlModel

### notifyPropertyChangeListeners

    public void notifyPropertyChangeListeners(String propertyName,
                                              Object oldValue,
                                              Object newValue)

  Specified by:
    `notifyPropertyChangeListeners` in interface `OWLModelAction`

### run

    public void run(OWLModel owlModel)

  Description copied from interface: `OWLModelAction`
  Called when the action is executed by the user.

  Specified by:
    `run` in interface `OWLModelAction`
  Parameters:
    `owlModel` - the OWLModel to operate on

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.